class PreLoader {
    constructor() {
        this.preloadData = {};
        moduleLoader.registerModule(PreLoader);
        Network.requestUrl('/out/preload-list.json').then(data => {
            this.preloadData = JSON.parse(data);
            PrettyConsole.debug(PreLoader, this.preloadData)
            moduleLoader.finishModule(PreLoader)
        }).catch(err => {
            moduleLoader.moduleErrored(PreLoader, err);
            PrettyConsole.error(PreLoader, err);
        })
    }

    getData(name) {
        return this.preloadData[name] || [];
    }
}
