(() => {
    class Registry {
        constructor() {
            this.items = {};
        }

        get(name) {
            return this.items[name];
        }

        set(name, item) {
            this.items[name] = item;
        }
    }

    moduleLoader.registerInit(i => {
        window.registry = new Registry();
        moduleLoader.finishModule('Registry');
    })
})();
