class App {
    async ignite() {
        window.onerror = (err) => {
            PrettyConsole.error(err);
        }
        moduleLoader.ignite();
        moduleLoader.finishModule('Startup');
    }

    finish() {
        setTimeout(() => {
            $('v-loading-screen').classList.add('hide');
        }, 300)
        $('body').addDelegatedEventListener('click', '.menu-toggle', () => {
            $('v-app').classList.toggle('open');
        })
        PrettyConsole.debug(App, moduleLoader.modules);
    }
}

const app = new App();
moduleLoader.setCb(app.finish.bind(app));
(() => {
    app.ignite().catch(onerror => {
        PrettyConsole.error(App, onerror);
        alert("App Startup failed... open console to see details");
    });
})();
